!
! fortrantl --- FORTRAN toolbox
! Christian Buth
! 26.06.2004
!
!
! Copyright (c) 2004-2006 Christian Buth
!
! This library is free software; you can redistribute it and/or
! modify it under the terms of the GNU Lesser General Public
! License as published by the Free Software Foundation; either
! version 2.1 of the License, or (at your option) any later version.
!
! This library is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
! Lesser General Public License for more details.
!
! You should have received a copy of the GNU Lesser General Public
! License along with this library; if not, write to the Free Software
! Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
!
!
! Version 1.00: 26.06.2004 (dblprec)
! Version 1.10: 02.07.2004 (fstdin, fstdout, stderr)
! Version 1.20: 09.01.2006 (longint)
! Version 1.30: 26.06.2006 (quadprec)
!


      module fortrantl
      implicit none


!
! Parameters
!

      integer, parameter :: dblprec = kind(1.0D0),  &   ! Double precision reals
     &                      quadprec = kind(10),  &     ! Quadruple precision reals
     &                      longint = 8                 ! Long integers

      integer, parameter :: fstdin  = 5, &              ! Unit number for standard input
     &                      fstdout = 6, &              ! Unit number for standard output
     &                      fstderr = 0                 ! Unit number for standard error output
      end module fortrantl
